Page MenuHomePhabricator

'wgTitle' and 'wgPageName' are null on history of Flow pages
Closed, ResolvedPublic

Description

Visit https://www.mediawiki.org/w/index.php?title=User_talk:Shirayuki&action=history&debug=true

Open js console, mw.config.get('wgTitle') and 'wgPageName' return null.

Do same in https://en.wikipedia.org/?action=history, see 'Main Page'

This is causing the Flow history page to appear as if it hasn't finished loading, usually due to exceptions in site/user JS which expects to get a page name, not null.

Event Timeline

Legoktm created this task.Sep 26 2015, 2:53 AM
Legoktm raised the priority of this task from to Needs Triage.
Legoktm updated the task description. (Show Details)
Legoktm added a project: StructuredDiscussions.
Legoktm added a subscriber: Legoktm.
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptSep 26 2015, 2:53 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Catrope triaged this task as High priority.Sep 30 2015, 11:38 PM
Catrope set Security to None.

This appears to be fixed. Could you confirm @Legoktm or @Etonkovidova?

https://www.mediawiki.org/w/index.php?title=User_talk:Shirayuki&action=history&debug=true

mw.config.get('wgTitle') and mw.config.get( 'wgPageName' ) return correct names of a page and User talk page.

SBisson closed this task as Resolved.Oct 22 2015, 8:14 PM
SBisson claimed this task.
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptOct 22 2015, 8:14 PM